The release of IBM API Connect version 2018.1 on March 30 effects the Long Term Support (LTS) policy of IBM API Connect version 5. As of March 30, 2018 LTS versions 5.0.0 and 5.0.6 will be phased out. Only version 5.0.8.x will be designated LTS going forward for at least 2 more years. We are targeting the End of Support (EOS) date to be March 30, 2020. We are in the process of formal announcement and we will give client 12 months notice prior to the effective date.

This is in line with the IBM API Connect version 5 LTS policy, which states:

“At a given time, only the most recent CD release is supported with defect and security fixes. LTS releases (currently 5.0.6.x, and 5.0.8.x) are supported with defect and security fixes until the GA of the next major version. At this point, support for all existing LTS releases will be phased out. Only the most recent release of API Connect (currently 5.0.8.x) will be designated as LTS, and will be supported with defect and security fixes for at least 2 more years.”

Going forward, V5.0.8.x (LTS) is the only V5 release to receive on-going security updates and defect fixes. Therefore, customers on V5.0.0 (LTS) and V5.0.6 (LTS) are encouraged to upgrade to V5.0.8.x (LTS). IBM will not support the issues related to Debian 7 on which V5.0.0 and V5.0.6 are built.

For further details on the IBM API Connect support lifecycle please refer to the support lifecycle page: https://www-01.ibm.com/support/docview.wss?uid=swg22006450

1 comment on"IBM API Connect Version 5 LTS Policy"

  1. https://productpages.w3ibm.mybluemix.net/ProductPages/index.html?name=api%20connect

    According to above URL,
    Hi,

    IBM API Connect Enterprise 5.0.8.0
    PID#: 5725-Z22
    End of Service: 2019-09-09 (Planned)

    “targeting the End of Support (EOS) date to be March 30, 2020” is correct?

    thanks,

Join The Discussion

Your email address will not be published. Required fields are marked *